---
sidebar_position: 10
description: Renew task and other functions to work with Bitrix24 in the Open Integration Package, a free open-source integration library for 1C:Enterprise 8, OneScript and CLI
keywords: [1C, 1С, 1С:Enterprise, 1С:Enterprise 8.3, API, Integration, Services, Exchange, OneScript, CLI, Bitrix24]
---

import Tabs from '@theme/Tabs';
import TabItem from '@theme/TabItem';

# Renew task
 Returns a task to work by ID



`Function RenewTask(Val URL, Val TaskID, Val Token = "") Export`

  | Parameter | CLI option | Type | Required | Description |
  |-|-|-|-|-|
  | URL | --url | String | &#x2714; | URL of webhook or a Bitrix24 domain, when token used |
  | TaskID | --task | Number, String | &#x2714; | Task ID |
  | Token | --token | String | &#x2716; | Access token, when app auth method used |

  
  Returns:  Map Of KeyAndValue - serialized JSON of answer from Bitrix24 API

:::tip
Method at API documentation: [tasks.task.renew](https://dev.1c-bitrix.ru/rest_help/tasks/task/tasks/tasks_task_renew.php)
:::
<br/>


```bsl title="1C:Enterprise/OneScript code example"
    URL    = "https://b24-ar17wx.bitrix24.by/rest/1/h0m...";
    TaskID = "9036";

    Result = OPI_Bitrix24.RenewTask(URL, TaskID);

    URL    = "b24-ar17wx.bitrix24.by";
    Token  = "6ad03969006e9f06006b12e400000001000...";
    TaskID = "9038";

    Result = OPI_Bitrix24.RenewTask(URL, TaskID, Token);
```
 

 <Tabs>
  
    <TabItem value="bash" label="Bash" default>
        ```bash
            oint bitrix24 RenewTask \
             --url "b24-ar17wx.bitrix24.by" \
             --task "9048" \
             --token "***"
        ```
    </TabItem>
  
    <TabItem value="bat" label="CMD/Bat" default>
        ```batch
            oint bitrix24 RenewTask ^
             --url "b24-ar17wx.bitrix24.by" ^
             --task "9048" ^
             --token "***"
        ```
    </TabItem>
</Tabs>


```json title="Result"
{
 "result": {
  "task": {
   "id": "9048",
   "parentId": null,
   "title": "Another task title",
   "description": "Another task description",
   "mark": null,
   "priority": "1",
   "multitask": "N",
   "notViewed": "N",
   "replicate": "N",
   "stageId": "0",
   "sprintId": null,
   "backlogId": null,
   "createdBy": "1",
   "createdDate": "2025-12-10T19:49:11+00:00",
   "responsibleId": "2960",
   "changedBy": "1",
   "changedDate": "2025-12-10T19:50:26+00:00",
   "statusChangedBy": "1",
   "closedBy": "0",
   "closedDate": null,
   "activityDate": "2025-12-10T19:50:26+00:00",
   "dateStart": null,
   "deadline": "2025-12-11T19:49:00+00:00",
   "startDatePlan": "2025-12-10T19:49:11+00:00",
   "endDatePlan": "2025-12-10T21:00:00+00:00",
   "guid": "{2df2631f-de86-45ab-af6f-f290ffc1c57d}",
   "xmlId": null,
   "commentsCount": "3",
   "serviceCommentsCount": "3",
   "allowChangeDeadline": "N",
   "allowTimeTracking": "N",
   "taskControl": "N",
   "addInReport": "N",
   "forkedByTemplateId": null,
   "timeEstimate": "0",
   "timeSpentInLogs": null,
   "matchWorkTime": "N",
   "forumTopicId": "5832",
   "forumId": "11",
   "siteId": "s1",
   "subordinate": "Y",
   "exchangeModified": null,
   "exchangeId": null,
   "outlookVersion": "7",
   "viewedDate": "2025-12-10T19:50:26+00:00",
   "sorting": null,
   "durationFact": null,
   "isMuted": "N",
   "isPinned": "N",
   "isPinnedInGroup": "N",
   "flowId": "***",
   "chatId": "***",
   "descriptionInBbcode": "Y",
   "status": "2",
   "statusChangedDate": "2025-12-10T19:50:26+00:00",
   "durationPlan": null,
   "durationType": "days",
   "favorite": "N",
   "groupId": "0",
   "auditors": [],
   "accomplices": [],
   "checklist": [],
   "group": [],
   "creator": {
    "id": "1",
    "name": "Антон Титовец",
    "link": "/company/personal/user/1/",
    "icon": "https://b24-ar17wx.bitrix24.by/b28528874/resize_cache/30/c0120a8d7c10d63c83e32398d1ec4d9e/main/d7e/d7e99cf556e4ab676463dae2c00ddfbb/a7e0af6899300e3c684caeca5c334d81.jpg",
    "workPosition": null
   },
   "responsible": {
    "id": "2960",
    "name": "Oleg Lama",
    "link": "/company/personal/user/2960/",
    "icon": "/bitrix/images/tasks/default_avatar.png",
    "workPosition": null
   },
   "accomplicesData": [],
   "auditorsData": [],
   "newCommentsCount": 0,
   "action": {
    "accept": false,
    "decline": false,
    "complete": true,
    "approve": false,
    "disapprove": false,
    "start": true,
    "pause": false,
    "delegate": true,
    "remove": true,
    "edit": true,
    "defer": true,
    "renew": false,
    "create": true,
    "changeDeadline": true,
    "checklistAddItems": true,
    "addFavorite": true,
    "deleteFavorite": false,
    "rate": true,
    "take": false,
    "edit.originator": "***",
    "checklist.reorder": true,
    "elapsedtime.add": true,
    "dayplan.timer.toggle": false,
    "edit.plan": true,
    "checklist.add": true,
    "favorite.add": true,
    "favorite.delete": false
   },
   "checkListTree": {
    "nodeId": 0,
    "fields": {
     "id": null,
     "copiedId": null,
     "entityId": null,
     "userId": 1,
     "createdBy": null,
     "parentId": null,
     "title": "",
     "sortIndex": null,
     "displaySortIndex": "",
     "isComplete": false,
     "isImportant": false,
     "completedCount": 0,
     "members": [],
     "attachments": [],
     "nodeId": null
    },
    "action": [],
    "descendants": []
   },
   "checkListCanAdd": true
  }
 },
 "time": {
  "start": 1765396226,
  "finish": 1765396226.78505,
  "duration": 0.785053014755249,
  "processing": 0,
  "date_start": "2025-12-10T19:50:26+00:00",
  "date_finish": "2025-12-10T19:50:26+00:00",
  "operating_reset_at": 1765396826,
  "operating": 0.315931081771851
 }
}
```
